Skip to Content
veriom

List intent sources

GET
/v1/workspaces/{workspace_id}/architecture-intent/sources

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

scope_key?|null
repository_id?|null
branch_ref?|null
environment?|null
cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources'
Example Response
{  "has_more": false,  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",      "created_by_name": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "locator": {        "property1": "string",        "property2": "string"      },      "revision": 0,      "scope_key": "string",      "source_key": "string",      "state": "active",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}